ServiceUtils
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.execution.ocrservice.utils
Class ServiceUtils

    java.lang.Object
      org.gcube.execution.ocrservice.utils.ServiceUtils

    public class ServiceUtils

extends java.lang.Object

Constructor Summary
`ServiceUtils()`

Method Summary
`static boolean` | `fileExists(java.lang.String filename)`
`static java.lang.String` | `findOcropus()`
`static byte[]` | `GetByteFilePayload(java.lang.String path)`
`static java.lang.String` | `getStringDate()`
`static java.lang.String` | `GetStringFilePayload(java.lang.String path)`
`static java.lang.String` | `GetWorkflowEngineEndpoint(java.lang.String Scope)`
`static java.lang.String` | `GetWorkflowEngineExecutionID(java.lang.String path)`
`static java.lang.String` | `GetWorkflowEngineExecutionScope(java.lang.String path)`
`static WorkflowEngineServicePortType` | `GetWorkflowEnginePortType(java.lang.String Scope, java.lang.String endpoint)`
`static java.lang.String` | `GetWorkflowEngineURL(java.lang.String path)`
`void` | `main()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceUtils

    public ServiceUtils()

Method Detail

### GetStringFilePayload

    public static java.lang.String GetStringFilePayload(java.lang.String path)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### GetByteFilePayload

    public static byte[] GetByteFilePayload(java.lang.String path)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### GetWorkflowEngineEndpoint

    public static java.lang.String GetWorkflowEngineEndpoint(java.lang.String Scope)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### GetWorkflowEnginePortType

    public static WorkflowEngineServicePortType GetWorkflowEnginePortType(java.lang.String Scope,
                                                                          java.lang.String endpoint)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### GetWorkflowEngineURL

    public static java.lang.String GetWorkflowEngineURL(java.lang.String path)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### GetWorkflowEngineExecutionID

    public static java.lang.String GetWorkflowEngineExecutionID(java.lang.String path)
                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### GetWorkflowEngineExecutionScope

    public static java.lang.String GetWorkflowEngineExecutionScope(java.lang.String path)
                                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStringDate

    public static java.lang.String getStringDate()

### fileExists

    public static boolean fileExists(java.lang.String filename)

### findOcropus

    public static java.lang.String findOcropus()

### main

    public void main()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD